## grub-customizer 5.0.6

=== debian/changelog ===
grub-customizer (5.0.6-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 06 Jul 2017 19:56:45 -0400

grub-customizer (5.0.6-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 21 Apr 2016 21:32:50 +0200

grub-customizer (5.0.5-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Wed, 30 Mar 2016 00:57:11 +0200

grub-customizer (5.0.4-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Fri, 25 Mar 2016 13:48:10 +0100

grub-customizer (5.0.3-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 24 Mar 2016 08:45:27 +0100

grub-customizer (5.0.2-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 24 Mar 2016 00:46:46 +0100

grub-customizer (5.0.1-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Wed, 23 Mar 2016 08:19:33 +0100

grub-customizer (5.0.0-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Tue, 22 Mar 2016 22:32:25 +0100

grub-customizer (4.0.6-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Wed, 16 Apr 2014 20:30:24 +0200

grub-customizer (4.0.5-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Mon, 14 Apr 2014 00:19:11 +0200

grub-customizer (4.0.4-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 09 Jan 2014 20:21:06 +0100

grub-customizer (4.0.3-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 26 Dec 2013 20:37:10 +0100

grub-customizer (4.0.2-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Mon, 16 Dec 2013 17:04:37 +0100

grub-customizer (4.0.1-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 12 Dec 2013 21:49:30 +0100

grub-customizer (4.0-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 12 Dec 2013 17:10:52 +0100

grub-customizer (3.0.2-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Mon, 10 Sep 2012 20:19:30 +0200

grub-customizer (3.0.1-0ubuntu1~ppa1v) vivid; urgency=medium

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Sat, 08 Sep 2012 11:34:47 +0200

grub-customizer (3.0-0ubuntu1~ppa2v) vivid; urgency=low

   * problems when using old gtkmm versions - patched

 -- Daniel Richter <danielrichter2007@web.de>  Fri, 07 Sep 2012 23:39:51 +0200

grub-customizer (3.0-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Fri, 07 Sep 2012 20:53:26 +0200

grub-customizer (2.99-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 30 Oct 2012 17:59:04 +0100

grub-customizer (2.5.1-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Fri, 06 Jan 2012 17:59:04 +0100

grub-customizer (2.5-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Wed, 28 Dec 2011 18:14:18 +0100

grub-customizer (2.4.1-0ubuntu1~ppa1v) vivid; urgency=high

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Tue, 29 Nov 2011 19:18:44 +0100

grub-customizer (2.4.0-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Mon, 28 Nov 2011 19:37:20 +0100

grub-customizer (2.3.4-0ubuntu1~ppa1v) vivid; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Tue, 22 Nov 2011 19:41:15 +0100

grub-customizer (2.3.3-0ubuntu1~ppa1v) vivid; urgency=medium

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Sat, 19 Nov 2011 17:42:49 +0100

grub-customizer (2.3.2-0ubuntu1~ppa1v) vivid; urgency=medium

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Sat, 19 Nov 2011 11:12:20 +0100

grub-customizer (2.3.1-0ubuntu1~ppa1v) vivid; urgency=high

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Fri, 18 Nov 2011 19:20:31 +0100

grub-customizer (2.3.0-0ubuntu1~ppa1v) vivid; urgency=medium

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 17 Nov 2011 23:49:51 +0100

grub-customizer (2.2.2-0ubuntu1~ppa1v) vivid; urgency=medium

   * no printing of empty submenus
   * modification detection fixed

 -- Daniel Richter <danielrichter2007@web.de>  Sun, 23 Oct 2011 00:23:57 +0200

grub-customizer (2.2.1-0ubuntu1~ppa1v) vivid; urgency=high

   * crash fixed (Bug #860820)

 -- Daniel Richter <danielrichter2007@web.de>  Tue, 27 Sep 2011 21:34:56 +0200

grub-customizer (2.2-0ubuntu1~ppa1v) vivid; urgency=medium

   * grub 1.99 compatibility
   * new icons

 -- Daniel Richter <danielrichter2007@web.de>  Tue, 13 Sep 2011 23:48:25 +0200

grub-customizer (2.1.2-0ubuntu1~ppa1v) vivid; urgency=medium

   * menu colors fixed
   * multiple loads (results in a chash) prevented
   * empty setting names won't simply be saved anymore
   * settings dialog now better handles the case when entries doesn't exist
   * translation updates

 -- Daniel Richter <danielrichter2007@web.de>  Sat, 26 Mar 2011 17:26:38 +0100

grub-customizer (2.1.1-0ubuntu1~ppa1v) vivid; urgency=medium

   * better conf corruption detection/fix functionality
   * improved view of disabled script entries
   * translation updates



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

%:
	dpatch apply-all
	dh $@

clean:
	dpatch deapply-all
	dh $@

=== debian/watch ===
version=3
https://launchpad.net/grub-customizer/+download http://launchpad.net/grub-customizer/.*/grub-customizer_(.+).tar.gz

## grub-customizer 5.0.7

=== CMakeLists.txt ===
project(GrubCustomizer)
cmake_minimum_required(VERSION 2.6.2) # may be lower

ADD_DEFINITIONS(-std=c++11)

find_package(PkgConfig)

pkg_check_modules(GTKMM gtkmm-3.0)
pkg_check_modules(GTHREAD gthread-2.0)
pkg_check_modules(OPENSSL openssl)
pkg_check_modules(LIBARCHIVE libarchive)

if ( LIB_INSTALL_DIR )
else()
set ( LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib/grub-customizer )
endif()

if ( BINARY_INSTALL_DIR )
else()
set ( BINARY_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin )
endif()

if ( LOCALE_INSTALL_DIR )
else()
set ( LOCALE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/locale )
endif()

if ( PARTCHOOSER_MOUNTPOINT_DIR )
else()
set ( PARTCHOOSER_MOUNTPOINT_DIR /media/grub-customizer_recovery_root_mountpoint )
endif()

if ( ERROR_LOG_FILE )
else()
set ( ERROR_LOG_FILE /tmp/grub-customizer_mkconfig_output.log )
endif()


link_directories(
    ${GTKMM_LIBRARY_DIRS} ${OPENSSL_LIBRARY_DIRS} ${LIBARCHIVE_LIBRARY_DIRS} )

include_directories(
    ${GTKMM_INCLUDE_DIRS}  )

add_executable(grub-customizer
	src/main/client.cpp
	src/Bootstrap/GtkView.cpp
	src/Bootstrap/GtkApplication.cpp
	src/Bootstrap/FactoryImpl/GlibThread.cpp
	src/Bootstrap/FactoryImpl/GLibRegex.cpp
)


add_executable(grubcfg-proxy
	src/main/proxy.cpp
)

target_link_libraries(grub-customizer 
    ${GTKMM_LIBRARIES} ${GTHREAD_LIBRARIES} ${OPENSSL_LIBRARIES} ${LIBARCHIVE_LIBRARIES})

target_link_libraries(grubcfg-proxy 
    ${OPENSSL_LIBRARIES})

configure_file ("config.hpp.in" "${CMAKE_CURRENT_SOURCE_DIR}/src/config.hpp")

configure_file ("misc/pkexec_policy.in" "${CMAKE_CURRENT_BINARY_DIR}/net.launchpad.danielrichter2007.pkexec.grub-customizer.policy")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/net.launchpad.danielrichter2007.pkexec.grub-customizer.policy
    DESTINATION /usr/share/polkit-1/actions)


install(TARGETS grubcfg-proxy 
	DESTINATION ${LIB_INSTALL_DIR} )

install(TARGETS grub-customizer 
	DESTINATION bin)

install(FILES misc/manpage.gz
	DESTINATION share/man/man1
	RENAME grub-customizer.1.gz)

#install(FILES misc/copyright
#	DESTINATION share/doc/grub-customizer)

install(FILES translation/translation-de.mo
	DESTINATION share/locale/de/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-bg.mo
	DESTINATION share/locale/bg/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-el.mo
	DESTINATION share/locale/el/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-gl.mo
	DESTINATION share/locale/gl/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-hr.mo
	DESTINATION share/locale/hr/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-pl.mo
	DESTINATION share/locale/pl/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-pt_BR.mo
	DESTINATION share/locale/pt_BR/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-ru.mo
	DESTINATION share/locale/ru/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-tr.mo
	DESTINATION share/locale/tr/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-uk.mo
	DESTINATION share/locale/uk/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-it.mo
	DESTINATION share/locale/it/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-es.mo
	DESTINATION share/locale/es/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-fr.mo
	DESTINATION share/locale/fr/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-zh_CN.mo
	DESTINATION share/locale/zh_CN/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-zh_TW.mo
	DESTINATION share/locale/zh_TW/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-cs.mo
	DESTINATION share/locale/cs/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-cy.mo
	DESTINATION share/locale/cy/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-hu.mo
	DESTINATION share/locale/hu/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-sk.mo
	DESTINATION share/locale/sk/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-ast.mo
	DESTINATION share/locale/ast/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-kk.mo
	DESTINATION share/locale/kk/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-nl.mo
	DESTINATION share/locale/nl/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-ca.mo
	DESTINATION share/locale/ca/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-ar.mo
	DESTINATION share/locale/ar/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-vi.mo
	DESTINATION share/locale/vi/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-fi.mo
	DESTINATION share/locale/fi/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-lt.mo
	DESTINATION share/locale/lt/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-bs.mo
	DESTINATION share/locale/bs/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-et.mo
	DESTINATION share/locale/et/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-eu.mo
	DESTINATION share/locale/eu/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-en_GB.mo
	DESTINATION share/locale/en_GB/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-ja.mo
	DESTINATION share/locale/ja/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-ko.mo
	DESTINATION share/locale/ko/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-pt.mo
	DESTINATION share/locale/pt/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES translation/translation-ta.mo
	DESTINATION share/locale/ta/LC_MESSAGES/
	RENAME grub-customizer.mo)

install(FILES misc/grub-customizer.desktop
	DESTINATION /usr/share/applications
)


#install icons
install(FILES misc/icons/16x16.png DESTINATION /usr/share/icons/hicolor/16x16/apps RENAME grub-customizer.png)
install(FILES misc/icons/22x22.png DESTINATION /usr/share/icons/hicolor/22x22/apps RENAME grub-customizer.png)
install(FILES misc/icons/24x24.png DESTINATION /usr/share/icons/hicolor/24x24/apps RENAME grub-customizer.png)
install(FILES misc/icons/32x32.png DESTINATION /usr/share/icons/hicolor/32x32/apps RENAME grub-customizer.png)
install(FILES misc/icons/48x48.png DESTINATION /usr/share/icons/hicolor/48x48/apps RENAME grub-customizer.png)
install(FILES misc/icons/64x64.png DESTINATION /usr/share/icons/hicolor/64x64/apps RENAME grub-customizer.png)
install(FILES misc/icons/128x128.png DESTINATION /usr/share/icons/hicolor/128x128/apps RENAME grub-customizer.png)


# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== debian/changelog ===
grub-customizer (5.0.7-1~mx15+1) mx; urgency=medium

  * Rebuild for MX linux.
  * Bump to debhelper compat 9.
  * debian/rules: trim cruft.
  * debian/control: drop deprecated dpatch B-D, fix short description.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 29 Dec 2017 11:35:05 -0800

grub-customizer (5.0.7-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Fri, 20 Oct 2017 22:27:45 +0200

grub-customizer (5.0.6-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 21 Apr 2016 21:32:50 +0200

grub-customizer (5.0.5-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Wed, 30 Mar 2016 00:57:11 +0200

grub-customizer (5.0.4-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Fri, 25 Mar 2016 13:48:10 +0100

grub-customizer (5.0.3-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 24 Mar 2016 08:45:27 +0100

grub-customizer (5.0.2-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 24 Mar 2016 00:46:46 +0100

grub-customizer (5.0.1-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Wed, 23 Mar 2016 08:19:33 +0100

grub-customizer (5.0.0-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Tue, 22 Mar 2016 22:32:25 +0100

grub-customizer (4.0.6-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Wed, 16 Apr 2014 20:30:24 +0200

grub-customizer (4.0.5-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Mon, 14 Apr 2014 00:19:11 +0200

grub-customizer (4.0.4-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 09 Jan 2014 20:21:06 +0100

grub-customizer (4.0.3-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 26 Dec 2013 20:37:10 +0100

grub-customizer (4.0.2-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Mon, 16 Dec 2013 17:04:37 +0100

grub-customizer (4.0.1-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 12 Dec 2013 21:49:30 +0100

grub-customizer (4.0-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 12 Dec 2013 17:10:52 +0100

grub-customizer (3.0.2-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Mon, 10 Sep 2012 20:19:30 +0200

grub-customizer (3.0.1-0ubuntu1~ppa1a) artful; urgency=medium

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Sat, 08 Sep 2012 11:34:47 +0200

grub-customizer (3.0-0ubuntu1~ppa2a) artful; urgency=low

   * problems when using old gtkmm versions - patched

 -- Daniel Richter <danielrichter2007@web.de>  Fri, 07 Sep 2012 23:39:51 +0200

grub-customizer (3.0-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Fri, 07 Sep 2012 20:53:26 +0200

grub-customizer (2.99-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 30 Oct 2012 17:59:04 +0100

grub-customizer (2.5.1-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Fri, 06 Jan 2012 17:59:04 +0100

grub-customizer (2.5-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Wed, 28 Dec 2011 18:14:18 +0100

grub-customizer (2.4.1-0ubuntu1~ppa1a) artful; urgency=high

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Tue, 29 Nov 2011 19:18:44 +0100

grub-customizer (2.4.0-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Mon, 28 Nov 2011 19:37:20 +0100

grub-customizer (2.3.4-0ubuntu1~ppa1a) artful; urgency=low

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Tue, 22 Nov 2011 19:41:15 +0100

grub-customizer (2.3.3-0ubuntu1~ppa1a) artful; urgency=medium

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Sat, 19 Nov 2011 17:42:49 +0100

grub-customizer (2.3.2-0ubuntu1~ppa1a) artful; urgency=medium

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Sat, 19 Nov 2011 11:12:20 +0100

grub-customizer (2.3.1-0ubuntu1~ppa1a) artful; urgency=high

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Fri, 18 Nov 2011 19:20:31 +0100

grub-customizer (2.3.0-0ubuntu1~ppa1a) artful; urgency=medium

   * new upstream release

 -- Daniel Richter <danielrichter2007@web.de>  Thu, 17 Nov 2011 23:49:51 +0100

grub-customizer (2.2.2-0ubuntu1~ppa1a) artful; urgency=medium

   * no printing of empty submenus
   * modification detection fixed

 -- Daniel Richter <danielrichter2007@web.de>  Sun, 23 Oct 2011 00:23:57 +0200

grub-customizer (2.2.1-0ubuntu1~ppa1a) artful; urgency=high

   * crash fixed (Bug #860820)

 -- Daniel Richter <danielrichter2007@web.de>  Tue, 27 Sep 2011 21:34:56 +0200

grub-customizer (2.2-0ubuntu1~ppa1a) artful; urgency=medium

   * grub 1.99 compatibility
   * new icons

 -- Daniel Richter <danielrichter2007@web.de>  Tue, 13 Sep 2011 23:48:25 +0200

grub-customizer (2.1.2-0ubuntu1~ppa1a) artful; urgency=medium

   * menu colors fixed
   * multiple loads (results in a chash) prevented
   * empty setting names won't simply be saved anymore


=== debian/control ===
Source: grub-customizer
Section: admin
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
#XSBC-Original-Maintainer: Daniel Richter <danielrichter2007@web.de>
Build-Depends: debhelper (>= 9),
               libgtkmm-3.0-dev (>= 2.20.0),
               libssl-dev, 
               cmake (>=2.6.2), 
               gettext (>=0.17), 
               libarchive-dev
Standards-Version: 3.9.2
Homepage: https://launchpad.net/grub-customizer

Package: grub-customizer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, policykit-1
Recommends: hwinfo
Description: GUI Grub2/BURG configuration application
 Grub Customizer is a graphical configuration tool to modify the grub2/burg
 settings with focus on the individual list order - without losing the
 dynamical behavior of grub - also usable on live cds.
 Settings like the background or timeouts are also changeable using
 Grub Customizer.

## grub-customizer 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 cmake_minimum_required(VERSION 2.6.2) # may be lower
 
 ADD_DEFINITIONS(-std=c++11)
+
+set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
 find_package(PkgConfig)
 
@@ -227,13 +229,12 @@
 
 
 #install icons
-install(FILES misc/icons/16x16.png DESTINATION /usr/share/icons/hicolor/16x16/apps RENAME grub-customizer.png)
-install(FILES misc/icons/22x22.png DESTINATION /usr/share/icons/hicolor/22x22/apps RENAME grub-customizer.png)
-install(FILES misc/icons/24x24.png DESTINATION /usr/share/icons/hicolor/24x24/apps RENAME grub-customizer.png)
-install(FILES misc/icons/32x32.png DESTINATION /usr/share/icons/hicolor/32x32/apps RENAME grub-customizer.png)
-install(FILES misc/icons/48x48.png DESTINATION /usr/share/icons/hicolor/48x48/apps RENAME grub-customizer.png)
-install(FILES misc/icons/64x64.png DESTINATION /usr/share/icons/hicolor/64x64/apps RENAME grub-customizer.png)
-install(FILES misc/icons/128x128.png DESTINATION /usr/share/icons/hicolor/128x128/apps RENAME grub-customizer.png)
+install(FILES misc/icons/16x16.svg DESTINATION /usr/share/icons/hicolor/16x16/apps RENAME grub-customizer.svg)
+install(FILES misc/icons/24x24.svg DESTINATION /usr/share/icons/hicolor/24x24/apps RENAME grub-customizer.svg)
+install(FILES misc/icons/32x32.svg DESTINATION /usr/share/icons/hicolor/32x32/apps RENAME grub-customizer.svg)
+install(FILES misc/icons/48x48.svg DESTINATION /usr/share/icons/hicolor/48x48/apps RENAME grub-customizer.svg)
+install(FILES misc/icons/64x64.svg DESTINATION /usr/share/icons/hicolor/64x64/apps RENAME grub-customizer.svg)
+install(FILES misc/icons/128x128.svg DESTINATION /usr/share/icons/hicolor/128x128/apps RENAME grub-customizer.svg)
 
 
 # uninstall target

=== debian/changelog ===
grub-customizer (5.1.0-3) unstable; urgency=medium

  * debian/control: migrated DH level to 13.
  * debian/rules: removed DEB_LDFLAGS_MAINT_APPEND variable because all
    options are default in dpkg and debhelper.
  * debian/tests/control: set a CI test as superficial.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 18 Sep 2020 22:50:51 -0300

grub-customizer (5.1.0-2) unstable; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: added a new test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Feb 2020 13:59:30 -0300

grub-customizer (5.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #619826)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 13 Oct 2018 10:36:05 -0300

=== debian/control ===
Source: grub-customizer
Section: utils
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libarchive-dev,
               libgtkmm-3.0-dev,
               libssl-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://launchpad.net/grub-customizer
Vcs-Browser: https://salsa.debian.org/debian/grub-customizer
Vcs-Git: https://salsa.debian.org/debian/grub-customizer.git

Package: grub-customizer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, hwinfo, policykit-1
Description: GUI to configure GRUB2 and BURG
 Grub Customizer is a graphical interface to configure GRUB2 and BURG. It can
 do changes for settings and menuentries easily.
 .
 Grub Customizer has the following features:
   * Move, remove or rename menuentries (they stey updatable by update-grub).
   * Edit the contents of menuentries or create new ones (internally it edits
     the 40_custom file).
   * Provide reinstallation of the bootloader to MBR.
   * Allow make settings like default operating system, kernel params,
     background image, text colors, etc.
   * Allow one to change the installed operating system by running on a live
     CD/DVD or from an OS inside a flash drive.
 .
 Grub Customizer is useful for customizations and recovering actions over any
 Linux distribution.

=== debian/tests/control ===
Test-Command: grub-customizer -v
Restrictions: superficial

Test-Command: xvfb-run -a grub-customizer &
Depends: @, xauth, xvfb
Restrictions: needs-root

=== debian/watch ===
version=4
https://launchpad.net/grub-customizer .*/grub-customizer[_-](\d\S+)\.tar\.(?:bz2|gz|xz)

## grub-customizer 5.2.2

=== debian/changelog ===
grub-customizer (5.2.2-2) unstable; urgency=medium

  * set Depends to pkexec | policykit-1 (Closes: #1025569)
    see: https://lists.debian.org/debian-devel/2022/10/msg00211.html
  * d/control: not use the full version number in the Standards-Version field
    only require the first 3 components to be specified

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 07 Dec 2022 12:25:58 +0800

grub-customizer (5.2.2-1) unstable; urgency=medium

  * d/watch: add opts=pgpmode=auto
  * add debian/upstream/signing-key.asc
  * New upstream version 5.2.2
  * refreash patch for new upstream applied

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 09 Sep 2022 10:00:41 +0800

grub-customizer (5.2.1-2) unstable; urgency=medium

  * add d/clean for clean src/config.hpp
  * add d/p/020-fix-ftbfs-gcc-12.patch(Closes: #1012941)

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 29 Jul 2022 23:08:54 +0800

grub-customizer (5.2.1-1) unstable; urgency=medium

  * New maintainer (Closes: #1013284)
  * d/copyright: add 2022 xiao sheng wen <atzlinux@sina.com>
  * New upstream version 5.2.1 (Closes: #1010165)
  * delete d/source/options, useless in new upstream version
  * Update standards version to 4.6.1.0, no changes needed.
  * d/control: +Enhances: grub-efi, grub-pc, grub-legacy(Closes: #914349)
  * add d/p/010-add-link_libraries-CMakeLists.txt.patch
  * add d/gbp.conf

 -- xiao sheng wen <atzlinux@sina.com>  Mon, 11 Jul 2022 21:35:16 +0800

grub-customizer (5.1.0-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (See #1013284)
  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/copyright: updated packaging copyright years.
  * debian/tests/control: removed a test using ampersand to run in background.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Jun 2022 17:36:23 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: grub-customizer
 Section: utils
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: xiao sheng wen <atzlinux@sina.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libarchive-dev,
                libgtkmm-3.0-dev,
                libssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://launchpad.net/grub-customizer
 Vcs-Browser: https://salsa.debian.org/debian/grub-customizer
@@ -15,7 +15,10 @@
 
 Package: grub-customizer
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, hwinfo, policykit-1
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ hwinfo,
+ pkexec | policykit-1,
+Enhances: grub-efi, grub-pc, grub-legacy
 Description: GUI to configure GRUB2 and BURG
  Grub Customizer is a graphical interface to configure GRUB2 and BURG. It can
  do changes for settings and menuentries easily.

=== debian/tests/control ===
Test-Command: grub-customizer -v
Restrictions: superficial

## grub-customizer 5.2.3

=== debian/changelog ===
grub-customizer (5.2.3-1) unstable; urgency=medium

  [ xiao sheng wen(肖盛文) ]
  * New upstream version 5.2.3
  * Bump Standards-Version: 4.6.2
  * d/copyright: update copyright year info to 2023
  * d/control: set Depends only to pkexec on Trixie
    see: https://lists.debian.org/debian-devel/2022/10/msg00211.html
  * add d/p/020-fix-typo-src-View-Gtk-Main.hpp.patch
  * Run wrap-and-sort -asbkt

 -- xiao sheng wen <atzlinux@sina.com>  Fri, 16 Jun 2023 14:56:09 +0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: xiao sheng wen <atzlinux@sina.com>
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               libarchive-dev,
-               libgtkmm-3.0-dev,
-               libssl-dev
-Standards-Version: 4.6.1
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libarchive-dev,
+ libgtkmm-3.0-dev,
+ libssl-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://launchpad.net/grub-customizer
 Vcs-Browser: https://salsa.debian.org/debian/grub-customizer
@@ -15,10 +16,15 @@
 
 Package: grub-customizer
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends:
  hwinfo,
- pkexec | policykit-1,
-Enhances: grub-efi, grub-pc, grub-legacy
+ pkexec,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Enhances:
+ grub-efi,
+ grub-legacy,
+ grub-pc,
 Description: GUI to configure GRUB2 and BURG
  Grub Customizer is a graphical interface to configure GRUB2 and BURG. It can
  do changes for settings and menuentries easily.

## grub-customizer 5.2.5

=== debian/changelog ===
grub-customizer (5.2.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112981)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 14:38:13 +0300

grub-customizer (5.2.5-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: update year info to 2024
  * Bump Standards-Version: 4.7.0

 -- xiao sheng wen <atzlinux@sina.com>  Wed, 12 Jun 2024 21:05:18 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libarchive-dev,
  libgtkmm-3.0-dev,
  libssl-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://launchpad.net/grub-customizer
 Vcs-Browser: https://salsa.debian.org/debian/grub-customizer

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://launchpad.net/grub-customizer .*/grub-customizer[_-](\d\S+)\.tar\.(?:bz2|gz|xz)
